apiVersion: forklift.konveyor.io/v1beta1
kind: ForkliftController
metadata:
  annotations:
    kubectl.kubernetes.io/last-applied-configuration: |
      {"apiVersion":"forklift.konveyor.io/v1beta1","kind":"ForkliftController","metadata":{"annotations":{},"name":"forklift-controller","namespace":"openshift-mtv"},"spec":{"feature_ui_plugin":true,"feature_validation":true,"feature_volume_populator":true,"olm_managed":true}}
  resourceVersion: '98737'
  name: forklift-controller
  uid: 5cd0ad26-a88d-41c7-8b25-b62d555625c0
  creationTimestamp: '2025-07-25T11:33:41Z'
  generation: 1
  managedFields:
    - apiVersion: forklift.konveyor.io/v1beta1
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:finalizers':
            .: {}
            'v:"forklift.konveyor.io/finalizer"': {}
      manager: ansible-operator
      operation: Update
      time: '2025-07-25T11:33:41Z'
    - apiVersion: forklift.konveyor.io/v1beta1
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:annotations':
            .: {}
            'f:kubectl.kubernetes.io/last-applied-configuration': {}
        'f:spec':
          .: {}
          'f:feature_ui_plugin': {}
          'f:feature_validation': {}
          'f:feature_volume_populator': {}
          'f:olm_managed': {}
      manager: kubectl-client-side-apply
      operation: Update
      time: '2025-07-25T11:33:41Z'
    - apiVersion: forklift.konveyor.io/v1beta1
      fieldsType: FieldsV1
      fieldsV1:
        'f:status':
          .: {}
          'f:conditions': {}
      manager: ansible-operator
      operation: Update
      subresource: status
      time: '2025-07-25T11:54:23Z'
  namespace: openshift-mtv
  finalizers:
    - forklift.konveyor.io/finalizer
spec:
  feature_ui_plugin: true
  feature_validation: true
  feature_volume_populator: true
  olm_managed: true
status:
  conditions:
    - lastTransitionTime: '2025-07-25T11:34:32Z'
      message: ''
      reason: ''
      status: 'False'
      type: Successful
    - lastTransitionTime: '2025-07-25T11:53:34Z'
      message: Running reconciliation
      reason: Running
      status: 'False'
      type: Running
    - ansibleResult:
        changed: 0
        completion: '2025-07-25T11:54:23.374554+00:00'
        failures: 1
        ok: 41
        skipped: 8
      lastTransitionTime: '2025-07-25T11:34:32Z'
      message: 'Failed to retrieve requested object: b''{"kind":"Status","apiVersion":"v1","metadata":{},"status":"Failure","message":"buildconfigs.build.openshift.io \\"vddk\\" is forbidden: User \\"system:serviceaccount:openshift-mtv:forklift-operator\\" cannot get resource \\"buildconfigs\\" in API group \\"build.openshift.io\\" in the namespace \\"openshift-mtv\\"","reason":"Forbidden","details":{"name":"vddk","group":"build.openshift.io","kind":"buildconfigs"},"code":403}\n'''
      reason: Failed
      status: 'True'
      type: Failure
